description

# ReadyState class Null safety

Contains the set of standard values returned by HTMLDocument.getReadyState.

## Constructors

ReadyState()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

COMPLETE → const String
  Indicates the document and all subresources have been loaded.
  `"complete"`
INTERACTIVE → const String
  Indicates the document is finished parsing but is still loading subresources.
  `"interactive"`
LOADING → const String
  Indicates the document is still loading and parsing.
  `"loading"`